org.apache.mina.statemachine.context

## Class SingletonStateContextLookup

- java.lang.Object
- - org.apache.mina.statemachine.context.SingletonStateContextLookup

- All Implemented Interfaces:
    StateContextLookup

      public class SingletonStateContextLookup
      extends Object
      implements StateContextLookup

  `StateContextLookup` implementation which always returns the same `StateContext` instance.
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SingletonStateContextLookup()` Creates a new instance which always returns the same `DefaultStateContext` instance.
    `SingletonStateContextLookup(StateContextFactory contextFactory)` Creates a new instance which uses the specified `StateContextFactory` to create the single instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `StateContext` | `lookup(Object[] eventArgs)` Searches the arguments from an `Event` and returns a `StateContext` if any of the arguments holds one.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SingletonStateContextLookup

          public SingletonStateContextLookup()

      Creates a new instance which always returns the same `DefaultStateContext` instance.

    - #### SingletonStateContextLookup

          public SingletonStateContextLookup(StateContextFactory contextFactory)

      Creates a new instance which uses the specified `StateContextFactory` to create the single instance.
      Parameters:
        `contextFactory` - the `StateContextFactory` to use to create the singleton instance.

  - ### Method Detail

    - #### lookup

          public StateContext lookup(Object[] eventArgs)

      Description copied from interface: `StateContextLookup`
      Searches the arguments from an `Event` and returns a `StateContext` if any of the arguments holds one. NOTE! This method must create a new `StateContext` if a compatible object is in the arguments and the next time that same object is passed to this method the same `StateContext` should be returned.
      Specified by:
        `lookup` in interface `StateContextLookup`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.